## netatalk 4.1.0~ds

=== meson_options.txt ===
# The following options are used to enable or disable netatalk features
# They take the form -Dwith-feature=true || false

# The value: argument corresponds to the default setting

option(
    'with-acls',
    type: 'boolean',
    value: true,
    description: 'Enable ACL support',
)
option(
    'with-afpstats',
    type: 'boolean',
    value: true,
    description: 'Enable AFP statistics via D-Bus',
)
option(
    'with-cnid-dbd-backend',
    type: 'boolean',
    value: true,
    description: 'Compile CNID with Database Daemon Data Store',
)
option(
    'with-cnid-last-backend',
    type: 'boolean',
    value: true,
    description: 'Compile LAST CNID scheme',
)
option(
    'with-cnid-mysql-backend',
    type: 'boolean',
    value: true,
    description: 'Compile MySQL CNID scheme',
)
option(
    'with-cracklib',
    type: 'boolean',
    value: true,
    description: 'Enable cracklib support',
)
option(
    'with-cups',
    type: 'boolean',
    value: true,
    description: 'Enable CUPS support',
)
option(
    'with-appletalk',
    type: 'boolean',
    value: false,
    description: 'Enable the AppleTalk transport layer, services and utilities',
)
option(
    'with-debug',
    type: 'boolean',
    value: true,
    description: 'Enable verbose debug code',
)
option(
    'with-debugging',
    type: 'boolean',
    value: false,
    description: 'Enable SIGALARM timers and DSI tickles (eg for debugging with gdb/dbx/...)',
)
option(
    'with-dtrace',
    type: 'boolean',
    value: true,
    description: 'Enable dtrace probes',
)
option(
    'with-gssapi',
    type: 'boolean',
    value: true,
    description: 'Enable GSSAPI support',
)
option(
    'with-init-hooks',
    type: 'boolean',
    value: true,
    description: 'Enable install hooks for the configured init system',
)
option(
    'with-install-hooks',
    type: 'boolean',
    value: true,
    description: 'Enable OS specific install hooks',
)
option(
    'with-kerberos',
    type: 'boolean',
    value: true,
    description: 'Enable Kerberos V API support',
)
option(
    'with-krbV-uam',
    type: 'boolean',
    value: true,
    description: 'Enable build of Kerberos V UAM module',
)
option(
    'with-ldap',
    type: 'boolean',
    value: true,
    description: 'Enable LDAP support'
)
option(
    'with-ldsoconf',
    type: 'boolean',
    value: false,
    description: 'Enable custom library search path for the run-time linker',
)
option(
    'with-libiconv',
    type: 'boolean',
    value: true,
    description: 'Enable iconv support',
)
option(
    'with-overwrite',
    type: 'boolean',
    value: false,
    description: 'Overwrite configuration files during installation',
)
option(
    'with-pam',
    type: 'boolean',
    value: true,
    description: 'Enable PAM support',
)
option(
    'with-quota',
    type: 'boolean',
    value: true,
    description: 'Enable quota support',
)
option(
    'with-readmes',
    type: 'boolean',
    value: true,
    description: 'Install README documentation',
)
option(
    'with-rpath',
    type: 'boolean',
    value: true,
    description: 'Enable RPATH/RUNPATH',
)
option(
    'with-sendfile',
    type: 'boolean',
    value: true,
    description: 'Enable sendfile syscall',
)
option(
    'with-shadow',
    type: 'boolean',
    value: true,
    description: 'Enable shadow password support',
)
option(
    'with-shell-check',
    type: 'boolean',
    value: true,
    description: 'Enable checking for a valid shell',
)
option(
    'with-spotlight',
    type: 'boolean',
    value: true,
    description: 'Enable Spotlight support',
)
option(
    'with-tcp-wrappers',
    type: 'boolean',
    value: true,
    description: 'Enable TCP wrappers support',
)
option(
    'with-tests',
    type: 'boolean',
    value: false,
    description: 'Compile tests',
)
option(
    'with-testsuite',
    type: 'boolean',
    value: false,
    description: 'Compile the AFP test suite',
)
option(
    'with-webmin',
    type: 'boolean',
    value: false,
    description: 'Package and install the Netatalk Webmin module',
)
option(
    'with-zeroconf',
    type: 'boolean',
    value: true,
    description: 'Enable Zeroconf support',
)

# The following options are used to find dependencies that are installed in
# unconventional locations.
# They take the form -Dwith-dependency-path=/path/to/dependency
# The dependency directory must include lib and include dirs

option(
    'with-bdb-path',
    type: 'string',
    value: '',
    description: 'Set path to Berkeley DB installation. Must contain lib and include dirs',
)
option(
    'with-bdb-version',
    type: 'string',
    value: '',
    description: 'Set installed Berkeley DB version x.y (major.minor) to link against',
)
option(
    'with-cracklib-path',
    type: 'string',
    value: '',
    description: 'Set location of cracklib dictionary',
)
option(
    'with-dbus-daemon-path',
    type: 'string',
    value: '',
    description: 'Set path to D-Bus daemon',
)
option(
    'with-dbus-sysconf-path',
    type: 'string',
    value: '',
    description: 'Set path to D-Bus system bus security configuration directory',
)
option(
    'with-docbook-path',
    type: 'string',
    value: '',
    description: 'Set path to Docbook XSL directory',
)
option(
    'with-gssapi-path',
    type: 'string',
    value: '',
    description: 'Set path to GSSAPI for Kerberos V UAM. Must contain lib and include dirs',
)
option(
    'with-init-dir',
    type: 'string',
    value: '',
    description: 'Set path to OS specific init directory',
)
option(
    'with-kerberos-path',
    type: 'string',
    value: '',
    description: 'Set path to Kerberos V library. Must contain lib and include dirs',
)
option(
    'with-ldap-path',
    type: 'string',
    value: '',
    description: 'Set path to LDAP library. Must contain lib and include dirs'
)
option(
    'with-libgcrypt-path',
    type: 'string',
    value: '',
    description: 'Set path to libgcrypt installation. Must contain lib and include dirs',
)
option(
    'with-libiconv-path',
    type: 'string',
    value: '',
    description: 'Set path to libiconv installation. Must contain lib and include dirs',
)
option(
    'with-lockfile-path',
    type: 'string',
    value: '',
    description: 'Set path to directory that contains the Netatalk lockfiles',
)
option(
    'with-manual-install-path',
    type: 'string',
    value: '',
    description: 'Set path where to install manual html pages',
)
option(
    'with-pam-path',
    type: 'string',
    value: '',
    description: 'Set path to PAM installation. Must contain lib and include dirs',
)
option(
    'with-pam-config-path',
    type: 'string',
    value: '',
    description: 'Set path to PAM config directory',
)
option(
    'with-perl-path',
    type: 'string',
    value: '',
    description: 'Set path to directory that containts the perl runtime binary',
)
option(
    'with-pkgconfdir-path',
    type: 'string',
    value: '',
    description: 'Set path to the package conf dir that overrides sysconfdir',
)
option(
    'with-spooldir',
    type: 'string',
    value: '',
    description: 'Set path for spooldir used for CUPS support',
)
option(
    'with-statedir-path',
    type: 'string',
    value: '',
    description: 'Set path for statedir used for CNID databases etc.',
)
option(
    'with-tracker-install-prefix',
    type: 'string',
    value: '',
    description: 'Set Tracker installation prefix',
)
option(
    'with-tracker-prefix',
    type: 'string',
    value: '',
    description: 'Set Tracker prefix',
)
option(
    'with-uams-path',
    type: 'string',
    value: 'libdir / netatalk',
    description: 'Set path to UAMs',
)
option(
    'with-unicode-data-path',
    type: 'string',
    value: '',
    description: 'Set path to UnicodeData.txt',
)

# The following options offer a choice from pre-defined selections

option(
    'with-cnid-default-backend',
    type: 'combo',
    choices: [
        'dbd',
        'last',
        'mysql',
    ],
    value: 'dbd',
    description: 'Set default CNID scheme',
)
option(
    'with-init-style',
    type: 'array',
    choices: [
        'none',
        'auto',
        'debian-sysv',
        'freebsd',
        'macos-launchd',
        'netbsd',
        'openbsd',
        'openrc',
        'solaris',
        'systemd',
    ],
    value: ['auto'],
    description: 'Use OS specific init config',
)
option(
    'with-manual',
    type: 'combo',
    choices: [
        'none',
        'local',    # html and troff docs for installation and distribution
        'man_only', # troff man pages only for installation and distribution
        'www',      # html for web publishing (project admin use)
    ],
    value: 'local',
    description: 'Format of manual to build and install',
)
option(
    'with-manual-l10n',
    type: 'array',
    choices: [
        'ja',
    ],
    value: [],
    description: 'Choose the localizations of the html manual to build',
)

=== debian/changelog ===
netatalk (4.1.0~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * adapt packaging for upstream renamed executable
    apple_dump -> addump
  * update copyright info: update coverage

  [ Daniel Markstedt ]
  * update description of netatalk-tools package
  * run testsuite in big-endian compatible mode on s390x
  * remove patch obsoleted by upstream changes
  * install new macipgw config and man page
  * patch 001 that disables all default settings for macipgw

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Jan 2025 22:54:41 +0100

## netatalk 4.1.1~ds

=== debian/changelog ===
netatalk (4.1.1~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * fix copyright path after upstream changes
  * update copyright year
  * remove patch obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 24 Jan 2025 19:38:37 +0100

## netatalk 4.1.2~ds

=== meson_options.txt ===
--- 
+++ 
@@ -212,6 +212,12 @@
     type: 'string',
     value: '',
     description: 'Set path to Berkeley DB installation. Must contain lib and include dirs',
+)
+option(
+    'with-bdb-include-path',
+    type: 'string',
+    value: '',
+    description: 'Set path to Berkeley DB include dir. When defined, -Dwith-bdb-path is used only for lib dir',
 )
 option(
     'with-bdb-version',

=== doc/requirements.txt ===
pyyaml
xmltodict

=== debian/changelog ===
netatalk (4.1.2~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Feb 2025 07:10:44 +0100

=== debian/control ===
Source: netatalk
Section: net
Priority: optional
Maintainer: Debian Netatalk team <pkg-netatalk-devel@lists.alioth.debian.org>
Uploaders:
 Daniel Markstedt <daniel@mindani.net>,
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 bison,
 cmark-gfm <!nodoc>,
 cracklib-runtime,
 debhelper-compat (= 13),
 docbook-xsl <!nodoc>,
 flex,
 libacl1-dev,
 libavahi-client-dev,
 libcrack2-dev,
 libcups2-dev,
 libdb-dev,
 libevent-dev,
 libgcrypt20-dev,
 libkrb5-dev,
 libldap2-dev,
 libltdl-dev,
 libmariadb-dev,
 libpam0g-dev,
 libtalloc-dev,
 libtirpc-dev,
 libtracker-sparql-3.0-dev,
 libwrap0-dev,
 meson,
 ninja-build,
 pkgconf,
 systemtap-sdt-dev,
 tracker,
 unicode-data,
 xsltproc <!nodoc>,
Build-Conflicts:
 libavahi-compat-libdnssd-dev,
Vcs-Git: https://salsa.debian.org/netatalk-team/netatalk.git
Vcs-Browser: https://salsa.debian.org/netatalk-team/netatalk
Standards-Version: 4.7.0
Homepage: https://github.com/Netatalk/netatalk
Rules-Requires-Root: no

Package: netatalk
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 avahi-daemon,
 dbus,
 libatalk (=${binary:Version}),
 tracker (>= 3.0),
 tracker-miner-fs (>= 3.0),
 libpam-modules,
 netbase,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Recommends:
 a2boot,
 atalkd,
 macipgw,
 netatalk-tools,
 papd,
 timelord,
Suggests:
 netatalk-doc,
 quota,
Description: Apple Filing Protocol service
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 Compared to the Windows-native SMB protocol
 (which is also supported on macOS),
 the Macintosh-native AFP protocol is accessible from a different network,
 can be simpler to setup and faster for some operations
 (e.g. server-to-server copying),
 and some features (e.g. the backup service Time Machine)
 may work more reliably than over SMB.
 .
 This package contains all AFP file server daemons
 as well as Netatalk's libraries.

Package: netatalk-tools
Architecture: any
Depends:
 dbus,
 libatalk (=${binary:Version}),
 libio-socket-ip-perl,
 libnet-dbus-perl,
 lsof,
 perl,
 procps,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Replaces: netatalk (<< 4.0.0~ds-1)
Breaks: netatalk (<< 4.0.0~ds-1)
Enhances: netatalk (>= 4.0.0~ds-1)
Description: Apple Filing Protocol service (administrative tools)
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 This package contains the following AFP file server utility programs
 for system administrators:
  * ad - AppleDouble file utility suite
  * addump - dump AppleSingle/AppleDouble metadata
  * afpldaptest - validate Netatalk LDAP parameters
  * afppasswd - RandNum UAM password management
  * afpstats - inquire AFP server usage stats over D-Bus
  * asip-status - inquire AFP server capabilities
  * dbd - CNID database maintenance
  * macusers - list connected AFP server users

Package: netatalk-tests
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Apple Filing Protocol service (test tools)
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 This package contains the following AFP functional test runners,
 benchmarks, and supporting tools:
  * afp_lantest - AFP benchmark akin to HELIOS LanTest
  * afp_logintest - test authentication over DSI
  * afp_spectest - AFP specification functional test suite
  * afp_speedtest - AFP read/write/copy benchmark
  * afparg - AFP CLI client

Package: netatalk-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Apple Filing Protocol service (documentation)
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 This package contains the html documentation for Netatalk.

Package: libatalk
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 netatalk (<< 4.0.0~ds-1)
Description: Apple Filing Protocol service (shared library)
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 This package contains Netatalk's shared libraries.

Package: libatalk-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libatalk (=${binary:Version}),
 ${misc:Depends},
Description: Apple Filing Protocol service (development files)
 Netatalk is an implementation of the Apple Filing Protocol (AFP),
 for offering file service (mainly) to macOS clients.
 .
 This package contains headers for development.

Package: atalkd
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libatalk (=${binary:Version}),
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 a2boot,
 macipgw,
 papd,
 timelord,
Enhances:
 netatalk,
Description: AppleTalk Network Suite
 Netatalk's services and tools
 for networking with very old Macs and Apple IIs
 .
 This package contains the daemon and utility programs
 for the Netatalk AppleTalk network suite, which can be used
 with the Netatalk AFP file server, and other services.
 .
 In addition to the atalkd network management daemon,
 the following utility programs are installed:
  * aecho - send AppleTalk Echo Protocol pings
  * getzones - list available AppleTalk zones
  * nbplkup - list registered AppleTalk entities
  * nbprgstr - register an AppleTalk entity
  * nbpunrgstr - release a registered AppleTalk entity

Package: a2boot
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 atalkd,
 netatalk,
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Description: AppleTalk Network Suite (Apple II NetBoot)
 Netatalk's services and tools
 for networking with very old Macs and Apple IIs
 .
 This package contains a daemon that allows you
 to boot an Apple II over the network from an AFP volume.

Package: macipgw
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 atalkd,
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Description: AppleTalk Network Suite (MacIP Gateway)
 Netatalk's services and tools
 for networking with very old Macs and Apple IIs
 .
 This package contains a daemon that sets up
 a MacIP gateway which enables pre-TCP/IP Macs
 to browse the web and use other TCP/IP resources.

Package: papd
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 atalkd,
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: cups
Enhances: cups
Description: AppleTalk Network Suite (PAP Print Server)
 Netatalk's services and tools
 for networking with very old Macs and Apple IIs
 .
 This package contains the daemon and utility programs
 for network printing to and from LocalTalk networks.
 It allows Mac OS and Apple II clients to print to
 modern AirPrint / CUPS enabled printers.
 .
 In addition, the following printing tools are included:
  * pap - print from the host to a LocalTalk printer
  * papstatus - inquire the status of a LocalTalk printer

Package: timelord
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 atalkd,
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Description: AppleTalk Network Suite (Timelord Time Server)
 Netatalk's services and tools
 for networking with very old Macs and Apple IIs
 .
 This package contains a daemon that serves
 a Timelord compatible time server for Mac OS
 and Apple II.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson+ninja

CONFIGURE_OPTS = \
 -Dwith-appletalk=true \
 -Dwith-dbus-daemon-path=/usr/bin/dbus-daemon \
 -Dwith-init-hooks=false \
 -Dwith-init-style=debian-sysv,systemd \
 -Dwith-install-hooks=false \
 -Dwith-krbV-uam=true \
 -Dwith-ldsoconf=false \
 -Dwith-overwrite=true \
 -Dwith-pam-config-path=/etc/pam.d \
 -Dwith-pkgconfdir-path=/etc/netatalk \
 -Dwith-rpath=false \
 -Dwith-spooldir=/var/spool/netatalk \
 -Dwith-tracker-prefix=/usr \
 -Dwith-testsuite=true \

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
CONFIGURE_OPTS += \
 -Dwith-tests=true
endif

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
CONFIGURE_OPTS += \
 -Dwith-manual=local \
 -Dwith-docbook-path=/usr/share/xml/docbook/stylesheet/docbook-xsl \
 -Dwith-readmes=true
endif

# ensure a final statedir of /var/lib/netatalk
# (FHS and Debian possibly disagree in defaults - see also bug#1082436)
CONFIGURE_OPTS += \
 -Dwith-statedir-path=/var/lib

override_dh_auto_configure:
	dh_auto_configure --buildsystem=meson+ninja -- $(CONFIGURE_OPTS)

execute_after_dh_auto_install:
# Install initscripts with debhelper to add pre- and postinst routines
	mv debian/tmp/etc/init.d/a2boot debian/a2boot.init
	mv debian/tmp/etc/init.d/atalkd debian/atalkd.init
	mv debian/tmp/etc/init.d/macipgw debian/macipgw.init
	mv debian/tmp/etc/init.d/netatalk debian/netatalk.init
	mv debian/tmp/etc/init.d/papd debian/papd.init
	mv debian/tmp/etc/init.d/timelord debian/timelord.init
	mv debian/tmp/usr/lib/systemd/system/a2boot.service debian/
	mv debian/tmp/usr/lib/systemd/system/atalkd.service debian/
	mv debian/tmp/usr/lib/systemd/system/macipgw.service debian/
	mv debian/tmp/usr/lib/systemd/system/netatalk.service debian/
	mv debian/tmp/usr/lib/systemd/system/papd.service debian/
	mv debian/tmp/usr/lib/systemd/system/timelord.service debian/

## netatalk 4.2.1~ds

=== debian/changelog ===
netatalk (4.2.1~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * revert testsuite forcing of filesystem EA on test volumes
  * update copyright and copyright_hints
  * update not-installed to reflect new default build system behavior
  * defuzz 202_privacy.patch
  * drop patches obsoleted by upstream changes

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Apr 2025 06:30:29 +0200

netatalk (4.2.0~ds-3) unstable; urgency=medium

  [ Daniel Markstedt ]
  * adjust the testsuite afp.conf to use the latest options
  * temporarily enable max test log verbosity in testsuite
  * create baseline salsa-ci.yml file to run tests in the Salsa pipeline
  * add patch for standardizing error code validation in testsuite
  * use stronger test user password in testsuite
  * drop two patches added in the previous release
    that were ineffectual for addressing the testsuite test failure

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Apr 2025 12:39:32 +0200

netatalk (4.2.0~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * remove superfluous label on an author in copyright
  * add patch for FPGetExtAttr return value in testsuite
  * add patch for error logging in EXPECT_FAIL macro in testsuite

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Apr 2025 21:56:11 +0200

netatalk (4.2.0~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Daniel Markstedt ]
  * update copyright hints
  * update copyright
  * netatalk test binaries now depend on libatalk
  * new test binary fce_listen
  * docs are now built with cmark-gfm, removing docbook and xslt dependencies
  * iniparser is now a mandatory build and runtime dependency
  * new meson syntax for building docs
  * need to tell meson to explicitly build unicode lookup tables
  * refresh README privacy patch
  * temporary patch for sequence of generating unicode lookup tables
  * CONTRIBUTORS is now markdown converted to txt
  * update ignore list with new readme names
  * ignore CUPS pap backend configuration file

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 06 Apr 2025 12:58:54 +0200

netatalk (4.1.2~ds-4) unstable; urgency=medium

  [ Daniel Markstedt ]
  * restore dependency on libtracker-sparql-3.0-dev
    (see bug#1098577)
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Mar 2025 12:28:21 +0100

netatalk (4.1.2~ds-3) unstable; urgency=medium

  [ Daniel Markstedt ]
  * update smoke test to accommodate localsearch daemon

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Feb 2025 07:23:56 +0100

netatalk (4.1.2~ds-2) unstable; urgency=medium

  * build-depend on libtinysparql-dev localsearch
    (not libtracker-sparql-3.0-dev tracker);
    depend on localsearch (not tracker tracker-miner-fs);
    closes: bug#1098776, thanks to Santiago Vila
  * declare compliance with Debian Policy 4.7.1

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 24 Feb 2025 22:38:03 +0100

## netatalk 4.2.3~ds

=== meson_options.txt ===
--- 
+++ 
@@ -46,6 +46,12 @@
     description: 'Enable CUPS support',
 )
 option(
+    'with-cups-pap-backend',
+    type: 'boolean',
+    value: false,
+    description: 'Install the pap backend for CUPS',
+)
+option(
     'with-appletalk',
     type: 'boolean',
     value: false,
@@ -64,6 +70,12 @@
     description: 'Enable SIGALARM timers and DSI tickles (eg for debugging with gdb/dbx/...)',
 )
 option(
+    'with-docs-l10n',
+    type: 'boolean',
+    value: false,
+    description: 'Build and install the localized documentation',
+)
+option(
     'with-dtrace',
     type: 'boolean',
     value: true,
@@ -136,12 +148,6 @@
     description: 'Enable quota support',
 )
 option(
-    'with-readmes',
-    type: 'boolean',
-    value: true,
-    description: 'Install README documentation',
-)
-option(
     'with-rpath',
     type: 'boolean',
     value: true,
@@ -154,12 +160,6 @@
     description: 'Enable sendfile syscall',
 )
 option(
-    'with-shadow',
-    type: 'boolean',
-    value: true,
-    description: 'Enable shadow password support',
-)
-option(
     'with-shell-check',
     type: 'boolean',
     value: true,
@@ -172,6 +172,12 @@
     description: 'Enable Spotlight support',
 )
 option(
+    'with-statedir-creation',
+    type: 'boolean',
+    value: true,
+    description: 'Create the Netatalk state directories if they do not exist',
+)
+option(
     'with-tcp-wrappers',
     type: 'boolean',
     value: true,
@@ -190,10 +196,22 @@
     description: 'Compile the AFP test suite',
 )
 option(
+    'with-unicode-data',
+    type: 'boolean',
+    value: false,
+    description: 'Rebuild the Unicode source files from UnicodeData.txt',
+)
+option(
     'with-webmin',
     type: 'boolean',
     value: false,
     description: 'Package and install the Netatalk Webmin module',
+)
+option(
+    'with-website',
+    type: 'boolean',
+    value: false,
+    description: 'Build documentation for the Netatalk website (admin use only)',
 )
 option(
     'with-zeroconf',
@@ -232,6 +250,12 @@
     description: 'Set location of cracklib dictionary',
 )
 option(
+    'with-cups-libdir-path',
+    type: 'string',
+    value: '',
+    description: 'Set path to the prefix of the CUPS library directory',
+)
+option(
     'with-dbus-daemon-path',
     type: 'string',
     value: '',
@@ -254,6 +278,12 @@
     type: 'string',
     value: '',
     description: 'Set path to GSSAPI for Kerberos V UAM. Must contain lib and include dirs',
+)
+option(
+    'with-iniparser-path',
+    type: 'string',
+    value: '',
+    description: 'Set path to iniparser installation. Must contain lib and include dirs',
 )
 option(
     'with-init-dir',
@@ -370,6 +400,17 @@
     ],
     value: 'dbd',
     description: 'Set default CNID scheme',
+)
+option(
+    'with-docs',
+    type: 'array',
+    choices: [
+        'man',
+        'html_manual',
+        'readmes',
+    ],
+    value: ['man', 'html_manual', 'readmes'],
+    description: 'Choose the type documentation to build and install',
 )
 option(
     'with-init-style',
@@ -389,24 +430,3 @@
     value: ['auto'],
     description: 'Use OS specific init config',
 )
-option(
-    'with-manual',
-    type: 'combo',
-    choices: [
-        'none',
-        'local',    # html and troff docs for installation and distribution
-        'man_only', # troff man pages only for installation and distribution
-        'www',      # html for web publishing (project admin use)
-    ],
-    value: 'local',
-    description: 'Format of manual to build and install',
-)
-option(
-    'with-manual-l10n',
-    type: 'array',
-    choices: [
-        'ja',
-    ],
-    value: [],
-    description: 'Choose the localizations of the html manual to build',
-)

=== debian/changelog ===
netatalk (4.2.3~ds-2) unstable; urgency=medium

  [ Daniel Markstedt ]
  * add patch that fixes critical bug in uam module;
    closes: bug#1111652,
    thanks to Stefan van Lieshout and Hector Rulot

  [ Jonas Smedegaard ]
  * fix indent and wrap DEP-3 patch header

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Oct 2025 14:31:35 +0200

netatalk (4.2.3~ds-1) unstable; urgency=medium

  [ upstream ]
  * new release
    highlights:
    + fix bug with optarg indexing in afpd
      closes: bug#1104925

  [ Daniel Markstedt ]
  * update copyright coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 May 2025 16:40:25 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  cmark-gfm <!nodoc>,
  cracklib-runtime,
  debhelper-compat (= 13),
- docbook-xsl <!nodoc>,
  flex,
  libacl1-dev,
  libavahi-client-dev,
@@ -19,6 +18,7 @@
  libdb-dev,
  libevent-dev,
  libgcrypt20-dev,
+ libiniparser-dev,
  libkrb5-dev,
  libldap2-dev,
  libltdl-dev,
@@ -26,20 +26,20 @@
  libpam0g-dev,
  libtalloc-dev,
  libtirpc-dev,
+ libtinysparql-dev,
  libtracker-sparql-3.0-dev,
  libwrap0-dev,
+ localsearch,
  meson,
  ninja-build,
  pkgconf,
  systemtap-sdt-dev,
- tracker,
  unicode-data,
- xsltproc <!nodoc>,
 Build-Conflicts:
  libavahi-compat-libdnssd-dev,
 Vcs-Git: https://salsa.debian.org/netatalk-team/netatalk.git
 Vcs-Browser: https://salsa.debian.org/netatalk-team/netatalk
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Netatalk/netatalk
 Rules-Requires-Root: no
 
@@ -51,8 +51,7 @@
  avahi-daemon,
  dbus,
  libatalk (=${binary:Version}),
- tracker (>= 3.0),
- tracker-miner-fs (>= 3.0),
+ localsearch,
  libpam-modules,
  netbase,
  ${misc:Depends},
@@ -117,6 +116,7 @@
 Package: netatalk-tests
 Architecture: any
 Depends:
+ libatalk (=${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Apple Filing Protocol service (test tools)
@@ -130,6 +130,7 @@
   * afp_spectest - AFP specification functional test suite
   * afp_speedtest - AFP read/write/copy benchmark
   * afparg - AFP CLI client
+  * fce_listen - simple Filesystem Change Event listener app
 
 Package: netatalk-doc
 Section: doc

=== debian/tests/control ===
Test-Command: PATH=/usr/sbin:/sbin:/usr/bin:/bin prove debian/tests/*.t
Depends:
 libtest-command-simple-perl,
 perl,
 @,
Restrictions: needs-sudo

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
repacksuffix=~ds,\
uversionmangle=s/-/./g,\
dversionmangle=auto \
https://github.com/Netatalk/netatalk/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
